<?php

class MACValidator extends CValidator
{

	public $pattern='/^([0-9a-fA-F]{2}:){5}([0-9a-fA-F]{2})$/';
	public $allowEmpty=true;

	protected function validateAttribute($object,$attribute)
	{
		$value=$object->$attribute;
		if($this->allowEmpty && ($value===null || $value===''))
			return;
		$valid=preg_match($this->pattern,$value);
		if(!$valid)
		{
			$message=$this->message!==null?$this->message:Yii::t('yii','{attribute} is not a valid MAC address.');
			$this->addError($object,$attribute,$message);
		}
	}
}
